cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Glen Mazza <glen.ma...@gmail.com>
Subject Re: NPE setting up CXF code in Eclipse
Date Sat, 19 Jun 2010 14:31:19 GMT

Problem fixed.  I upgraded to Maven 2.2.1 and also nuked my local Maven
repository in case a file used in the build process was corrupted.   But the
NPE while building CXF-API still occurred (I'm not sure why I said "mvn
-Pfastinstall" worked below--I noticed today I was getting the NPE just
running that as well.) 

But the real problem seemed to be that I had the JAXB 2.2 and JAX-WS RI
2.2-api.jar's in my JDK's endorsed directory--removing them from the
endorsed folder fixed the issue.

Thanks,
Glen


dkulp wrote:
> 
>> (I'm using Maven 2.2.0 and JDK 1.6.0_18.)  Anyone else getting this error
>> or know its solution?
> 
> Definitely don't use Maven 2.2.0.   Bunch of bugs in there.  Use 2.2.1. 
> That 
> said, it shouldn't affect this.
> 
> Not sure what would cause this error.   Haven't seen it before.  If you
> run 
> mvn -Psetup.eclipse a couple times, does it resolve itself?
> 
> Dan
> 

-- 
View this message in context: http://old.nabble.com/NPE-setting-up-CXF-code-in-Eclipse-tp28617106p28934164.html
Sent from the cxf-dev mailing list archive at Nabble.com.


Mime
View raw message